(include "abez.scm")
(require 'regex)
(define eq string=?)
(define ne (lambda (x y) (not (eq x y))))
(define (subst from to str)
  (string-substitute from to str))
(define unlink delete-file*)
(define link file-link)

(define (read-lines-from-<> filelist f)
  (define (handle-file file)
    (lambda (filename)
      (with-input-from-file filename
        (lambda ()
          (handle-each-line f)))))
  (define (handle-stdin) (handle-each-line f))
  (cond 
   ((pair? filelist) 
    (for-each handle-file 
              filelist))
   ((or
     (and (string? filelist) (eq filelist "-"))
     (list? filelist))
    (handle-stdin))
   ((and (string? filelist)) (handle-file filelist))
   (else (error (list "What is " filelist) ))))


      
